VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1980
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   1980
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdTest 
      Caption         =   "Test"
      Height          =   495
      Left            =   1733
      TabIndex        =   5
      Top             =   1200
      Width           =   1215
   End
   Begin VB.OptionButton optWrite 
      Caption         =   "Write"
      Height          =   255
      Left            =   2040
      TabIndex        =   4
      Top             =   600
      Value           =   -1  'True
      Width           =   1095
   End
   Begin VB.OptionButton optRead 
      Caption         =   "Read"
      Height          =   255
      Left            =   840
      TabIndex        =   3
      Top             =   600
      Width           =   1095
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   840
      TabIndex        =   1
      Top             =   120
      Width           =   3735
   End
   Begin VB.Label Label1 
      Caption         =   "Access:"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "File:"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
Dim filename As String

    filename = App.Path
    If Right$(filename, 1) <> "\" Then filename = filename & "\"
    txtFile.Text = filename & "test.txt"
End Sub

Private Sub Form_Resize()
Dim wid As Single

    wid = ScaleWidth - txtFile.Left - 120
    If wid < 120 Then wid = 120
    txtFile.Width = wid
End Sub

Private Sub cmdTest_Click()
    If FileIsLocked(txtFile.Text, optWrite.Value) Then
        MsgBox "Locked", vbOKOnly Or vbInformation, "Locked"
    Else
        MsgBox "Not Locked", vbOKOnly Or vbInformation, "Not Locked"
    End If
End Sub

' Return True if the file is locked to prevent the desired access.
Private Function FileIsLocked(ByVal filename As String, Optional ByVal for_write As Boolean = True) As Boolean
Const PERMISSION_DENIED As Integer = 70
Dim fnum As Integer
Dim err_number As Integer

    On Error Resume Next
    fnum = FreeFile
    If for_write Then
        Open filename For Append As #fnum
        err_number = Err.Number
    Else
        Open filename For Input As #fnum
        err_number = Err.Number
    End If
    Close #fnum

    On Error GoTo 0
    If err_number = 0 Then
        FileIsLocked = False
    ElseIf err_number = PERMISSION_DENIED Then
        FileIsLocked = True
    Else
        Err.Raise err_number
    End If
End Function

